<?xml version="1.0"?>
<doc>
    <assembly>
        <name>WFX</name>
    </assembly>
    <members>
        <member name="T:WFX.AnchorStyles">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Application">
            <summary>
            </summary>
        </member>
        <member name="P:WFX.Application.MainForm">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.Application.ProcessMessageQueueWithoutUIAccessAndCloseWhile(CommonHelpers.HWhileCallback)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:WFX.Application.ProcessMessageQueueWithoutUIAccessAndCloseWhile(System.Int32,CommonHelpers.HWhileCallback)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="T:WFX.AppWaiting">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.DisplayAppWaitingStatusCallback">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ReportAppWaitingErrorCallback">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.AppWaitingStatus">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Control">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Button">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ComboBox">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ConsoleBox">
            <summary>
            </summary>
        </member>
        <member name="P:WFX.ConsoleBox.ForegroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.BackgroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.MaxLines">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:WFX.ConsoleBox.FixedFont">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:WFX.ConsoleBox.Console">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.RecommendedWidth">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.RecommendedWidthCorrection">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.AccurateHeightIncrement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.AccurateHeightDecrement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsoleBox.VerifyInitialized">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsoleBox.VerifyNotInitialized">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsoleBox.PrepareProxyConsoleSettings">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsoleBox.Initialize(CommonHelpers.HConsole)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HNullValueException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsoleBox.ConsolePictureBox">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="T:WFX.ConsoleColorConverter">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.ConsoleColorConverter.ToDrawingColor(System.ConsoleColor)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:WFX.ConsolePictureBox">
            <summary>
            </summary>
        </member>
        <member name="P:WFX.ConsolePictureBox.ForegroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.BackgroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.FixedFont">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.MaxLines">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.RecommendedContainerWidth">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.RecommendedContainerWidthCorrection">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.AccurateHeightIncrement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.AccurateHeightDecrement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:WFX.ConsolePictureBox.Console">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.VerifyInitialized">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.VerifyNotInitialized">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.PrepareProxyConsoleSettings">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.Initialize(CommonHelpers.HConsole)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HNullValueException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.DoClear">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:WFX.ConsolePictureBox.OutputString(System.ConsoleColor,System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:WFX.HotLabel">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.NumericUpDown">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ProcessingLabel">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ProcessingLabelBox">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.TextBox">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ToolTip">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Cursor">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Dispatcher">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.Dispatcher.Synchronize(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Dispatcher.Synchronize``1(System.Func{``0})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:WFX.Dispatcher.Synchronize(System.Boolean,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.Synchronize``1(System.Boolean,System.Func{``0})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.Synchronize(System.Type[],System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:WFX.DispatcherException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.Synchronize``1(System.Type[],System.Func{``0})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.BeginInvoke(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Dispatcher.BeginOrInvoke(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Dispatcher.EndInvoke(System.IAsyncResult)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Dispatcher.SetNullEndInvoke(System.IAsyncResult@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Dispatcher.SynchronizeEx(System.Type[],System.Action,System.Reflection.Assembly,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:WFX.DispatcherException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.SynchronizeEx``1(System.Type[],System.Func{``0},System.Reflection.Assembly,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:WFX.Dispatcher.BeginInvokeEx(System.Action,System.Reflection.Assembly,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:WFX.DispatcherExceptionCreator">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.DispatcherExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.DispatcherExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:WFX.Font">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ForegroundOperation">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Form">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.Form.EnableSystemMenuCloseItem(System.Windows.Forms.Form)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Form.EnableSystemMenuCloseItem(System.Windows.Forms.Form,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Form.DisableSystemMenuCloseItem(System.Windows.Forms.Form)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:WFX.Form.UpdateForWaiting(System.Windows.Forms.Form)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:WFX.ImageAnimation.Item(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:WFX.ImageAnimation.#ctor(System.Drawing.Image)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:WFX.ImageAnimation.#ctor(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.IO.FileNotFoundException" />
            <exception cref="T:System.IO.DirectoryNotFoundException" />
            <exception cref="T:System.IO.IOException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:WFX.ImageAnimation.#ctor(System.Byte[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:WFX.ImageAnimation.#ctor(System.IO.Stream)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="T:WFX.Input">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Menu">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.MessageBox">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.MessageBox.DefaultResultFromButtons(System.Windows.Forms.MessageBoxButtons)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:WFX.MessageBox.DefaultResultToButton(System.Windows.Forms.MessageBoxButtons,System.Windows.Forms.DialogResult)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:WFX.MuteShowMessageExtraInfo">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.ShowMessageExtraInfo">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.MessageHelpers">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.MessageHelpers.WaitMessage">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="T:WFX.Mouse">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.WaitCursor">
            <summary>
            </summary>
        </member>
        <member name="T:WFX.Win32Window">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.Win32Window.#ctor(System.IntPtr)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:WFX.WindowHelpers">
            <summary>
            </summary>
        </member>
        <member name="M:WFX.WFX_Library.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.WFX_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
